中危 侧通道弱加密漏洞

CVE编号

CVE-2019-1547

利用情况

暂无

补丁情况

没有补丁

披露时间

2019-09-11 06:15:00
漏洞描述
通常,在OpenSSL EC组中,总是存在一个辅助因子,并且该辅助因子用于抗侧边通道的代码路径中。但是,在某些情况下,可以使用显式参数(而不是使用命名曲线)来构造组。在那些情况下,这样的基团可能不存在辅因子。即使所有参数都匹配已知的命名曲线,也会发生这种情况。如果使用这样的曲线,则OpenSSL会退回到非旁通道抗性代码路径,这可能会导致ECDSA签名操作期间的完全密钥恢复。为了变得容易受到攻击,攻击者将不得不具有定时创建大量签名的能力,其中使用libcrypto的应用程序正在使用其中不存在辅助因子的显式参数。为了避免疑问,libssl不会受到攻击,因为从不使用显式参数。在OpenSSL 1.1.1d(受1.1.1-1.1.1c影响)中已修复。已在OpenSSL 1.1.0l中修复(影响1.1.0-1.1.0k)。已在OpenSSL 1.0.2t(影响1.0.2-1.0.2s)中修复。
解决建议
目前厂商已发布升级补丁以修复漏洞,补丁获取链接:
https://www.openssl.org/news/secadv/20190910.txt
参考链接
http://lists.opensuse.org/opensuse-security-announce/2019-09/msg00054.html
http://lists.opensuse.org/opensuse-security-announce/2019-09/msg00072.html
http://lists.opensuse.org/opensuse-security-announce/2019-10/msg00012.html
http://lists.opensuse.org/opensuse-security-announce/2019-10/msg00016.html
http://packetstormsecurity.com/files/154467/Slackware-Security-Advisory-opens...
https://arxiv.org/abs/1909.01785
https://git.openssl.org/gitweb/?p=openssl.git;a=commitdiff;h=21c856b75d81eff6...
https://git.openssl.org/gitweb/?p=openssl.git;a=commitdiff;h=30c22fa8b1d84003...
https://git.openssl.org/gitweb/?p=openssl.git;a=commitdiff;h=7c1709c2da5414f5...
https://kc.mcafee.com/corporate/index?page=content&id=SB10365
https://lists.debian.org/debian-lts-announce/2019/09/msg00026.html
https://lists.fedoraproject.org/archives/list/package-announce@lists.fedorapr...
https://lists.fedoraproject.org/archives/list/package-announce@lists.fedorapr...
https://seclists.org/bugtraq/2019/Oct/0
https://seclists.org/bugtraq/2019/Oct/1
https://seclists.org/bugtraq/2019/Sep/25
https://security.gentoo.org/glsa/201911-04
https://security.netapp.com/advisory/ntap-20190919-0002/
https://security.netapp.com/advisory/ntap-20200122-0002/
https://security.netapp.com/advisory/ntap-20200416-0003/
https://support.f5.com/csp/article/K73422160?utm_source=f5support&utm_medium=RSS
https://usn.ubuntu.com/4376-1/
https://usn.ubuntu.com/4376-2/
https://usn.ubuntu.com/4504-1/
https://www.debian.org/security/2019/dsa-4539
https://www.debian.org/security/2019/dsa-4540
https://www.openssl.org/news/secadv/20190910.txt
https://www.oracle.com/security-alerts/cpuapr2020.html
https://www.oracle.com/security-alerts/cpujan2020.html
https://www.oracle.com/security-alerts/cpujul2020.html
https://www.oracle.com/security-alerts/cpuoct2020.html
https://www.oracle.com/technetwork/security-advisory/cpuoct2019-5072832.html
https://www.tenable.com/security/tns-2019-08
https://www.tenable.com/security/tns-2019-09
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 openssl openssl * From
(including)
1.0.2
Up to
(including)
1.0.2s
运行在以下环境
应用 openssl openssl * From
(including)
1.1.0
Up to
(including)
1.1.0k
运行在以下环境
应用 openssl openssl * From
(including)
1.1.1
Up to
(including)
1.1.1c
2
运行在以下环境
系统 alpine_3.7 openssl * Up to
(excluding)
1.0.2t-r0
3
运行在以下环境
系统 alpine_3.9 openssl * Up to
(excluding)
1.1.1d-r0
4
运行在以下环境
系统 alpine_3.11 openssl * Up to
(excluding)
1.1.1d-r1
5
运行在以下环境
系统 alpine_3.10 openssl * Up to
(excluding)
1.1.1d-r0
6
运行在以下环境
系统 alpine_3.12 openssl * Up to
(excluding)
1.1.1d-r1
7
运行在以下环境
系统 amazon_2 openssl * Up to
(excluding)
1.0.2k-19.amzn2.0.3
8
运行在以下环境
系统 alpine_3.8 openssl * Up to
(excluding)
1.0.2t-r0
9
运行在以下环境
系统 debian_8 openssl * Up to
(excluding)
1.0.1t-1+deb8u8
10
运行在以下环境
系统 debian_10 openssl * Up to
(excluding)
1.1.1d-0+deb10u3
11
运行在以下环境
系统 alpine_3.13 openssl * Up to
(excluding)
1.1.1d-r1
12
运行在以下环境
系统 alpine_edge openssl * Up to
(excluding)
1.1.1d-r1
13
运行在以下环境
系统 debian_9 openssl * Up to
(excluding)
1.1.0f-3+deb9u2
14
运行在以下环境
系统 suse_12_SP4 openssl * Up to
(excluding)
1.1.1d-2.20.1
15
运行在以下环境
系统 suse_12_SP5 openssl * Up to
(excluding)
1.1.1d-2.20.1
16
运行在以下环境
系统 oracle_8 openssl * Up to
(excluding)
1.1.1c-15.el8
17
运行在以下环境
系统 fedora_EPEL_7 openssl * Up to
(excluding)
1.1.1c-2.el7
18
运行在以下环境
系统 fedora_29 openssl * Up to
(excluding)
1.1.1d-1.fc29
19
运行在以下环境
系统 fedora_31 openssl * Up to
(excluding)
1.1.1d-1.fc31
20
运行在以下环境
系统 fedora_30 openssl * Up to
(excluding)
1.1.1d-1.fc30
21
运行在以下环境
系统 opensuse_Leap_15.0 openssl * Up to
(excluding)
1.1.0i-lp150.3.25.1
22
运行在以下环境
系统 opensuse_Leap_15.1 openssl * Up to
(excluding)
1.1.0i-lp151.8.3.1
阿里云评分
4.5
  • 攻击路径
    本地
  • 攻击复杂度
    复杂
  • 权限要求
    普通权限
  • 影响范围
    越权影响
  • EXP成熟度
    未验证
  • 补丁情况
    没有补丁
  • 数据保密性
    数据泄露
  • 数据完整性
    无影响
  • 服务器危害
    无影响
  • 全网数量
    N/A
CWE-ID 漏洞类型
CWE-311 敏感数据加密缺失
NVD-CWE-noinfo
阿里云安全产品覆盖情况